<?php
/*
$Id: periphlibre.class.php,v 1.6 2008-04-08 09:56:58 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("peripherique.class.php");

class periphlibre extends peripherique {

function periphlibre($id,&$db,$DEBUG) {
$this->constructeur($id,$db,$DEBUG);
} // fin constructeur

function setvalF($val){
  parent::setvalF($val);
  $this->valF['numero'] = $val['numero'];  //ajout 
  $this->valF['idutilisateur'] = $val['idutilisateur'];  //ces champs sont mis à 0 par fonction java
  $this->valF['idservice'] = $val['idservice'];          //onchange etat de peripherique.class si necessaire
  $this->valF['idbatiment'] = $val['idbatiment'];        //
}

function setType(&$form,$maj) {
  parent::setType($form,$maj); 
  if ($maj < 2) { //ajouter et modifier
    if ($maj==0)
      $form->setType('numero', 'text');
    else {
      if ($form->val['numero'])
         $form->setType('numero', 'hiddenstatic');
      else
         $form->setType('numero', 'text');
    }
    $form->setType('utilisateur', 'text');  //select
    $form->setType('idutilisateur','selectliste');
    $form->setType('idservice', 'select');
    $form->setType('idbatiment', 'select');
  } else
    $form->setType('numero', 'hiddenstatic');
}

function setSelect(&$form, $maj,$db,$debug) {
  include ("../dyn/connexion.php");
  include ("../sql/".$dsn['phptype']."/".$this->table.".form.inc");
  parent::setSelect($form, $maj,$db,$debug);
  if($maj<2){
    if ($maj==0) {
      $contenu="";                                 
      $contenu[0]=$modele[0][get_class($this)];  
      $contenu[1]=$modele[1][get_class($this)];  
      $form->setSelect("typeelement",$contenu);
    }
    if ($maj==1) {  //si maj à 1 seulement (car sinon typeelement="")
/*      $modeleelement=$this->val[array_search('typeelement', $this->champs)];
      $sql= str_replace("%MODELE%",$modeleelement,$sql_autremodele);
      $form->setSelect("idmodele",$this->selectArray($db,$sql,0," Choisir un modèle"));*/
      //si maj à 1 car sinon utilisateur vide
      $idutilisateur=$this->val[array_search("idutilisateur",$this->champs)];
      if ($idutilisateur) {
        $sql_utilisateur.=$idutilisateur;
        $form->setSelect("idutilisateur",$this->selectArray($db,$sql_utilisateur));
      }
    }
    $form->setSelect("idservice",$this->selectArray($db,$sql_service,0," Choisir un service"));
    $form->setSelect("idbatiment",$this->selectArray($db,$sql_batiment,0," Choisir un batiment"));
  }
}

function setLib(&$form,$maj) {
  parent::setLib($form,$maj);
  $form->setLib('idutilisateur','');
  $form->setLib('idservice','Service');
  $form->setLib('idbatiment','Batiment');
  $form->setLib('typeelement','Type de périphérique');
}

function setTaille(&$form,$maj){
$form->setTaille('idutilisateur', 3);
$form->setTaille('utilisateur', 30);
}

function verifier(&$db){    //noserie ou numero (proposé par clic) indispensable
  parent::verifier($db);
  if($this->valF['numserie']=="" && $this->valF['numero']=="") {
    $this->correct=false;
    $this->msg= $this->msg."<br>NoSérie ou numéro obligatoire";
  }
  if ($this->valF['idservice']==0 && $this->valF['idetatelement']==1){
    $this->correct=false;
    $this->msg= $this->msg."<br>Service obligatoire";
  }
}//verifier
 
function setRegroupe(&$form,$maj,&$db,$idx){
  parent::setRegroupe($form,$maj,$db,$idx);
  if ($maj<2) {
    $form->setRegroupe('utilisateur','D','Affectation');
    $form->setRegroupe('idservice','G','');
    $form->setRegroupe('idutilisateur','G','');
    $form->setRegroupe('idbatiment','G','');
    $form->setRegroupe('idetatelement','F','');
  }
}

}// fin de classe
?>